﻿<Window x:Class="JCHVRF_New.Views.SystemPropertyWizard"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:JCHVRF_New.Views"
        xmlns:cls="clr-namespace:JCHVRF.Model.New"
        xmlns:CustomControls="clr-namespace:CustomControls"
        xmlns:fa="http://schemas.fontawesome.io/icons/"
        mc:Ignorable="d"
        xmlns:conv="clr-namespace:JCHVRF_New.Common.UI.Converters"
        xmlns:rad="clr-namespace:JCHVRF_New"
        xmlns:sys="clr-namespace:System;assembly=mscorlib"
        xmlns:prism="http://prismlibrary.com/"
        xmlns:i="http://schemas.microsoft.com/expression/2010/interactivity"
        prism:ViewModelLocator.AutoWireViewModel="True" 
        MinWidth="950" Height="570"
        x:Name="SystemWizard">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto"></RowDefinition>
            <RowDefinition Height="*"></RowDefinition>
            <RowDefinition Height="Auto"></RowDefinition>
        </Grid.RowDefinitions>
        <TextBlock Text="System Property" FontSize="16" FontWeight="Bold" Margin="50,0,0,0" Grid.Row="0" VerticalAlignment="Center"/>
        <TabControl SelectedIndex="{Binding SelectedTabIndex}" IsTabStop="False" IsManipulationEnabled="False" Margin="20,25,0,25"  x:Name="MainTabControl" BorderThickness="0" Background="White" Grid.Row="1">
            <TabControl.Resources>
                <Style TargetType="TabItem" BasedOn="{StaticResource chevronTabItemStyle}"/>
            </TabControl.Resources>

            <TabItem Header="Type" Name="tabType" IsEnabled="True" HorizontalContentAlignment="Left" HorizontalAlignment="Left" FontSize="14"  >
                <ScrollViewer Height="Auto">
                    <local:TypeInfo/>
                </ScrollViewer>
            </TabItem>

            <TabItem Header="Floor" Visibility="{Binding Path=FloorVisibility}" HorizontalContentAlignment="Left" IsEnabled="True" HorizontalAlignment="Center" FontSize="14" Name="tbFloor" Width="200" >
                <local:FloorTab Visibility="{Binding Path=FloorVisibility}"/>
            </TabItem>

            <TabItem Header="Out Door Unit Info." Visibility="{Binding Path=IduVisibility}" HorizontalContentAlignment="Left" IsEnabled="True" HorizontalAlignment="Center" FontSize="14"  Name="tbOutdoor"  >
                <ScrollViewer Height="Auto"  Visibility="{Binding Path=IduVisibility}">
                    <local:OutDoorUnitInfoView Visibility="{Binding Path=IduVisibility}"/>
                </ScrollViewer>
            </TabItem>


            <TabItem Header="Indoor Unit Info." Name="IndoorUnit" Visibility="{Binding Path=IduVisibility}" Style="{DynamicResource chevronTabItemStyle}" IsEnabled="True" HorizontalContentAlignment="Left" HorizontalAlignment="Left" FontSize="14">
                <ScrollViewer  Height="Auto"  Visibility="{Binding Path=IduVisibility}">
                    <local:IndoorUnitInfoView Visibility="{Binding Path=IduVisibility}"/>
                </ScrollViewer>
            </TabItem>

            <!-- Accord -->
            <TabItem Header="Heat Exchanger Unit" Name="HeatExchInfo" Visibility="{Binding Path=TheuInfoVisibility}" Style="{DynamicResource chevronTabItemStyle}" IsEnabled="True" HorizontalContentAlignment="Left" HorizontalAlignment="Left" FontSize="14">
                <ScrollViewer HorizontalScrollBarVisibility="Visible" VerticalScrollBarVisibility="Visible"  Height="305" Width="700" Margin="0,0,0,5">
                    <local:TotalHeatExUnitInfo Visibility="{Binding Path=TheuInfoVisibility}" Width="707" Height="442"  />
                </ScrollViewer>
            </TabItem>

        </TabControl>

        <!--Wizard Buttons-[START]-->
        <StackPanel Grid.Row="2" x:Name="stkWizardButtons" Orientation="Horizontal" HorizontalAlignment="Right" Margin="5">
            <Button Width="140" Height="40" Content="Cancel" 
                                    FontSize="14" 
                    Command="{Binding CancelClickCommand, Mode=OneWay}"
                    CommandParameter="{Binding ElementName=SystemWizard}"
                     Style="{DynamicResource buttonMouseOverStyle}">

            </Button>

            <Button Margin="5,0,0,0" Width="140" 
                    Height="40" 
                    Content="Previous" 
                    FontSize="14"                     
                    Command="{Binding PreviousClickCommand}"
                    Visibility="{Binding ElementName=MainTabControl, Path=SelectedIndex, Converter={conv:InvertIntComparerToVisibilityConverter}, ConverterParameter=0}"
                                    Style="{DynamicResource buttonMouseOverStyle}"/>


            <Button Margin="5,0,0,0" Width="140" Height="40" Content="Next"  Style="{DynamicResource buttonMouseOverStyle}"
                                    FontSize="14">
                <Button.Visibility>
                    <MultiBinding Converter="{conv:NextBtnVisibilitySystem}">
                        <Binding ElementName="MainTabControl" Path="SelectedIndex" />
                        <Binding ElementName="TypeInfo" Path="SystemName"/>
                    </MultiBinding>
                </Button.Visibility>

                <i:Interaction.Triggers>
                    <i:EventTrigger EventName="Click">
                        <!--<i:InvokeCommandAction Command="{Binding ElementName=MainTabControl, Path=SelectedItem.DataContext.NextClickCommand}"/>-->
                        <i:InvokeCommandAction Command="{Binding NextClickCommand}"/>
                    </i:EventTrigger>
                </i:Interaction.Triggers>
            </Button>

            <Button Margin="5,0,0,0" Width="140" x:Name="CreateButton"  Height="40" Content="Create"  Style="{DynamicResource buttonMouseOverStyle}"
                    Command="{Binding CreateClickCommand, Mode=OneWay}"
                    CommandParameter="{Binding ElementName=SystemWizard}"
                    FontSize="14">
                <Button.Visibility>
                    <MultiBinding Converter="{conv:CreateBtnVisibiltySystem}">
                        <Binding ElementName="MainTabControl" Path="SelectedIndex" />
                        <Binding ElementName="TypeInfo" Path="SystemName"/>
                    </MultiBinding>
                </Button.Visibility>
            </Button>

        </StackPanel>
        <!--Wizard Buttons-[END]-->

    </Grid>

</Window>